LGC-PG(1)

NAME
lgc-pg - Converter Tool for original Panzer General® Data Files

SYNOPSIS
lgc-pg [-s SOURCE] [-d DEST] [--defpal] [--custom] [-n NAME] [-i ID] [-t TACICONS]

DESCRIPTION
LGC-PG is a simple tool to convert the original Panzer General® Data into LGeneral Data Files.

OPTIONS

-s  You always need to specify the source directory (which contains the original data or a custom scenario).

-d  This specify's the destination path that contains the LGeneral data struct. (usually /usr/share/games/lgeneral)

--defpal
    This one is optional and forces all PG graphics to use the default palette. Usually you won't need this but if a custom scenario you converted offers some strange graphics it might be due to a corrupted palette and the default one may provide better results.

--custom
    If you convert a custom scenario you should add this and the following options.

-n  This is the scenario's file name and default title.

-i <ID>
    This is the <ID> in the source file name (game<ID>.scn). If you do not specify an ID the default is O.

-t <TACICONS>
    If custom tactical icons are involved (scenario offers a TACICONS.SHP)this is the name of the graphical file. If this option is not provided it defaults to <NAME>.bmp.

EXAMPLES

1) Converts all data from CD-ROM

> lgc-pg -s /mnt/windows/DAT -d /usr/share/games/lgeneral

2) Converts a custom scenario

> lgc-pg -s /home/jones/newstuff/dunk -d /usr/share/games/lgeneral --custom -n Dunkirk -i 44

AUTHOR

This manual page was written by Gernot Galli <gernot_galli@onlinehome.de>,
    for the Debian GNU/Linux system (but may be used by others).